For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETGet agent conversation topics
          • GETList conversations
          • GETGet conversation details
          • DELDelete conversation
          • GETGet conversation audio
          • GETGet signed URL
          • GETGet conversation token
          • POSTSend conversation feedback
          • POSTUpload conversation file
          • DELDelete conversation file
          • GETGet SIP messages for a conversation
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceConversationsTopics

Get agent conversation topics

GET
/v1/convai/agents/:agent_id/topics
GET
/v1/convai/agents/:agent_id/topics
$curl https://api.elevenlabs.io/v1/convai/agents/agent_id/topics \
> -H "Content-Type: application/json"
1{
2 "topics": [
3 {
4 "topic_id": "topic_9f8b7c6d",
5 "label": "Customer Support",
6 "description": "Conversations related to customer service inquiries and troubleshooting.",
7 "conversation_count": 124,
8 "parent_topic_id": null,
9 "x_2d": 0.45,
10 "y_2d": -0.32
11 }
12 ],
13 "window_start_unix_secs": 1685606400,
14 "window_end_unix_secs": 1685692799
15}
Returns the latest topic discovery run results for a given agent.
Was this page helpful?
Previous

List tags

Next
Built with

Path parameters

agent_idstringRequired
ID of the agent

Headers

xi-api-keystringOptional

Response

Successful Response
topicslist of objects
window_start_unix_secsinteger
window_end_unix_secsinteger

Errors

422
Unprocessable Entity Error